use log4rs;
use config::Config;
use transcoder::repository::Repository;
use transcoder::transcoder::Transcoder;

mod settings;
mod transcoder;
mod util;

fn main() {
  // initialize the log4rs logger
  log4rs::init_file("./log4rs.yaml", Default::default()).unwrap();

  // create and initialize our config and repository objects
  let c: Config = settings::load_config();
  let r: Repository = Repository::new(&shellexpand::tilde(&c.get_string("transcoder.repository").unwrap()));

  // create and start the video transcoder object
  let t: Transcoder = Transcoder::new(c, r);
  t.start();
}
